Optimize your online store with PrestaShop's Official Marketplace!

I confirm my contact details to continue

Yummy, your shop will love it! Your product was added successfully to your cart

Multi Override

Multi Override Module

Developed by Community developer
(14 votes)

More than 90 % of users recommend this product

5 stars
11
4 stars
1
3 stars
0
2 stars
1
1 star  
1

The average rating includes all reviews over the last six months.

Level:

Users think this product is suitable for e-merchants who are:

Beginners  
6
Intermediate  
4
Advanced  
3
  • +100
    downloads!
  • PrestaShop
    1.5.0.0 - 1.6.1.17
module - Administrative Tools - Multi Override - 1
module - Administrative Tools - Multi Override - 2
module - Administrative Tools - Multi Override - 3

Overview

Combine modules even if they touch the same code zone, enjoy being able to install more modules!
Avoid this error : "Unable to install override: The method XXXX in the class YYY is already overridden.

What this product does for you

Navigation Enhance user experience

This module allows you having more modules and having more fonctionnalities for your shop and not to be blocked by this error : "Unable to install override: The method XXXX in the class YYY is already overridden".
Technical information: Now, modules can share the same override!

Features

  • 1) The goal of this module is to install modules without generating this error from Prestashop: "Unable to install override: The method XXXX in the class YYY is already overridden.»
    • Enjoy installing and combining many modules.
    • This permits to combine modules even if they touch the same code zone.
    •  For example, a module which modifies links and an other who collects them.
  • 2) Also offer a better project management for developers.
    • In /override, there are only developers’ overrides.
    • In /override_multi, there are only modules’ overrides.
    • They don’t have to think about if there file come from modules or if they created it.
    • And the developed code will always be priority on the modules.
    • The override of the modules is saved in the repertory /override_multi and your own override, like before, in /override.

What your customers will like

Your clients will navigate on a website with more functionalities.
Now, you can install any module for your clients and don't care of the compatibility between them.

Recommendation

The last installed module will always be priority on the previous one.
It is for that reason that it can be necessary to install a module after an other.
In most case, you will not have to think about this.

 

Support and updates

You automatically get 3 months of support for this product.

For 90 days after your purchase, you can enjoy technical and feature support, as well as access to updates available for this product.


Make sure this product runs well on your store for 12 months with Option Zen!

With Option Zen, you get access to ALL updates for the product for one year following purchase. Support from the product developer is available by email to answer all your technical and feature-related questions.


What is Option Zen?


Option Zen includes two services:

  • Unlimited after-sales support during the period covered by the option
  • Access to all updates for the product during the period

Option Zen is available at a discount when purchasing this product, but, if you miss out, you can also buy it via your customer account later. It is valid up to one year following the date of purchase of your product. The earlier you buy it, the longer you can enjoy it!


What does it include?


The following are included in Option Zen:

  • questions about using the module/theme;
  • solving technical problems related to the module/theme;
  • access to all module/theme updates.

The following services are not included in Option Zen:

  • customization and special development;
  • installing and updating the module/theme;
  • solving problems concerning third-party services, hosting, the server, or the PrestaShop software.

Installation

This module doesn't need any configuration and any file modification, it installs himself.

Frequently purchased together

Multi Override
Order Edit - Change and Modify existing order
Import specific price CSV
$179.97 Add all three to cart

Items from the same developer - Show more details

What's New in Version 1.0.6(01/28/2016)

  • Fix an error caused by '/'

About the developer

Community developer

Question?
Need help?

This developer answers your questions in:
fr en

$79.99

Benefits:

  • 3 months of free support (Learn more)
  • Developed by a Top Developer
  • Documentation included
  • Compatibility v1.5.0.0 - v1.6.1.17

  • Version 1.0.6 (01/28/2016)

  • Available in en fr

Questions? Contact the developer
This developer answers your questions in:

fr en